import { Ref } from "vue-demi";
import { Processor, SourceData } from "@processor/core";
export declare type useProcessorConfig<T> = {
    source: T[] | null | undefined;
    searchOption?: Parameters<Processor<T>["search"]>[0];
    searchFields?: Parameters<Processor<T>["search"]>[1];
    filterOption?: Parameters<Processor<T>["filter"]>[0];
    sortOption?: Parameters<Processor<T>["sort"]>[0];
    sortOrder?: Parameters<Processor<T>["sort"]>[1];
    pageSize?: number;
};
export declare function useProcessor<T extends SourceData>(config: useProcessorConfig<T>): {
    data: Ref<T[]>;
    total: Ref<number>;
    currentPage: Ref<number>;
    pageCount: Ref<number>;
};
